Subject: bug#13594: 24.2.92; [PATCH] compilation-start doesn't consider nil OUTWIN

From: Juri Linkov <[email-masked]>
Date: Sun, 10 Feb 2013 12:01:10 +0200

> I think the only correct solution is to have the caller add an alist
> entry (or an extra argument to `display-buffer') say 'may-fail, whose
> semantics are:
>
> - If 'may-fail is non-nil, allow returning a nil value - I, the caller,
>   already know how to handle that.
>
> - If 'may-fail is nil or doesn't exist, return some window at any cost.

But such some window at any cost should be harmless when the caller goes
to use the returned window e.g. to get its buffer with `window-buffer', etc.
This is why using a hidden window is better, despite its invisibility
the window will be still correct in all its properties.